TriggersService
Cancel Trigger
Cancel a trigger by trigger ID and release its reserved quantity.
Method
DELETE
Path
/v1/triggers/{trigger_id}
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
DELETE
/v1/triggers/{trigger_id} Request
Testnet
curl --request DELETE \ \ --url 'https://api.testnet.polyester.com/v1/triggers/59VD7Lar?subaccountId=45LUmqjT' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"status": "CREATED",
"triggerId": "59VD7Lar",
"tsNs": "1735689600000000000"
} trigger_id string
Trigger ID (base58 public ID)
subaccountId string
status enum
Final status (should be STATUS_CANCELED).
CREATED ARMED RUNNING COMPLETED CANCELED FAILED PAUSED
Example
CREATED triggerId string
Trigger ID that was canceled.
Example
59VD7Lar tsNs string
Server timestamp in nanoseconds since epoch (UTC).
Example
1735689600000000000| Key | HTTP status | Connect code | Error | When |
|---|---|---|---|---|
| unauthenticated | 401 | unauthenticated | Unauthenticated | Authentication required. |
| permission-denied | 403 | permission_denied | Permission Denied | Permission denied. |
| invalid-argument | 400 | invalid_argument | Invalid Argument | Invalid argument. |
| not-found | 404 | not_found | Not Found | Not found. |
| unavailable | 503 | unavailable | Unavailable | Service unavailable. |